package pl.afizyka.listawidokuwielokrotnegowyboru

import android.graphics.Color
import android.os.Bundle
import android.view.View
import android.widget.ArrayAdapter
import android.widget.Button
import android.widget.ListView
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity

class MainActivity : AppCompatActivity() {
    val idNaglowek= View.generateViewId()
    val idStopka= View.generateViewId()
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val bt1=findViewById<Button>(R.id.button1)
        bt1.setOnClickListener{ LadujListe() }

        val bt2=findViewById<Button>(R.id.button2)
        bt2.setOnClickListener{ PokazWybrane() }
    }
    fun Naglowek(listView: ListView, tytul:String, kolor:String){
        val staryNaglowek=listView.findViewById<TextView>(idNaglowek)
        if(staryNaglowek!=null)listView.removeHeaderView(staryNaglowek)
        val naglowek= TextView(this)
        naglowek.setTextSize(22f)
        naglowek.setText(tytul)
        naglowek.setBackgroundColor(Color.parseColor(kolor))
        naglowek.id=idNaglowek
        listView.addHeaderView(naglowek)
    }
    fun Stopka(listView: ListView, tytul:String, kolor:String){
        val staraStopka=listView.findViewById<TextView>(idStopka)
        if(staraStopka!=null)listView.removeFooterView(staraStopka)
        val stopka= TextView(this)
        stopka.setTextSize(14f)
        stopka.setText(tytul)
        stopka.setBackgroundColor(Color.parseColor(kolor))
        stopka.id=idStopka
        listView.addFooterView(stopka)
    }
    fun LadujListe(){
        val tabKraje=resources.getStringArray(R.array.KrajeUE)
        tabKraje.sort()
        //w adaptzerz ustaw typ listy wielokrotnego wyboru
        val moj_adapter=ArrayAdapter<String>(this,
             android.R.layout.simple_list_item_checked,
             tabKraje)
        val listView=findViewById<ListView>(R.id.listView)
        //ustawa tryb wielokrotnego wtboru
        listView.setChoiceMode(ListView.CHOICE_MODE_MULTIPLE)
        //załaduj adapter wczytanych elementów
        listView.adapter=moj_adapter
        Naglowek(listView,"Kraje UE", "#FF94EF8E")
        Stopka(listView,"Lista zawiera "+
                tabKraje.count().toString()+
                " elementów","#FF94EF8E")
    }

    fun PokazWybrane(){
        //deklaracja pustej tablicy stringów
        var tabWybrane=emptyArray<String>()
        val listView=findViewById<ListView>(R.id.listView)
        for(i in 0..listView.count){
            if(listView.isItemChecked(i))
                tabWybrane+= listView.getItemAtPosition(i).toString()
        }
        //adapter prostej listy
        val moj_adapter=ArrayAdapter<String>(this,
            android.R.layout.simple_list_item_1,
            tabWybrane)
        listView.adapter=moj_adapter
        Naglowek(listView,"Wybrane kraje UE", "#FF94EF8E")
        Stopka(listView,"Lista zawiera "+
                tabWybrane.count().toString()+
                " elementów","#FF94EF8E")
    }
}